{
  "http-proxy" : {
    "type" : "string",
    "help" : ""
  },
  "ifconfig-nowarn" : {
    "type" : "flag",
    "help" : ""
  },
  "redirect-gateway" : {
    "type" : "string",
    "help" : ""
  },
  "user" : {
    "type" : "string",
    "help" : ""
  },
  "plugin" : {
    "type" : "string",
    "help" : ""
  },
  "ifconfig" : {
    "type" : "string",
    "help" : ""
  },
  "route-noexec" : {
    "type" : "flag",
    "help" : ""
  },
  "ping" : {
    "type" : "int",
    "help" : ""
  },
  "chroot" : {
    "type" : "string",
    "help" : ""
  },
  "syslog" : {
    "type" : "string",
    "help" : ""
  },
  "lport" : {
    "type" : "int",
    "help" : ""
  },
  "rport" : {
    "type" : "int",
    "help" : ""
  },
  "nobind" : {
    "type" : "flag",
    "help" : ""
  },
  "status-version" : {
    "type" : "int",
    "help" : ""
  },
  "remote" : {
    "type" : "array:string",
    "help" : ""
  },
  "tun-mtu" : {
    "type" : "int",
    "help" : ""
  },
  "persist-local-ip" : {
    "type" : "flag",
    "help" : ""
  },
  "nice" : {
    "type" : "int",
    "help" : ""
  },
  "management-log-cache" : {
    "type" : "int",
    "help" : ""
  },
  "management-hold" : {
    "type" : "flag",
    "help" : ""
  },
  "float" : {
    "type" : "flag",
    "help" : ""
  },
  "persist-tun" : {
    "type" : "flag",
    "help" : ""
  },
  "comp-noadapt" : {
    "type" : "flag",
    "help" : ""
  },
  "ifconfig-noexec" : {
    "type" : "flag",
    "help" : ""
  },
  "ping-restart" : {
    "type" : "int",
    "help" : ""
  },
  "status" : {
    "type" : "string",
    "help" : ""
  },
  "shaper" : {
    "type" : "int",
    "help" : ""
  },
  "proto" : {
    "type" : "string",
    "help" : ""
  },
  "ping-exit" : {
    "type" : "int",
    "help" : ""
  },
  "txqueuelen" : {
    "type" : "int",
    "help" : ""
  },
  "inactive" : {
    "type" : "int",
    "help" : ""
  },
  "http-proxy-timeout" : {
    "type" : "int",
    "help" : ""
  },
  "route-up" : {
    "type" : "string",
    "help" : ""
  },
  "cd" : {
    "type" : "string",
    "help" : ""
  },
  "dev" : {
    "type" : "string",
    "help" : ""
  },
  "tun-ipv6" : {
    "type" : "flag",
    "help" : ""
  },
  "local" : {
    "type" : "string",
    "help" : ""
  },
  "http-proxy-option" : {
    "type" : "array:string",
    "help" : ""
  },
  "route-delay" : {
    "type" : "string",
    "help" : ""
  },
  "tun-mtu-extra" : {
    "type" : "int",
    "help" : ""
  },
  "sndbuf" : {
    "type" : "int",
    "help" : ""
  },
  "socks-proxy-retry" : {
    "type" : "flag",
    "help" : ""
  },
  "dev-type" : {
    "type" : "string",
    "help" : ""
  },
  "persist-key" : {
    "type" : "flag",
    "help" : ""
  },
  "down" : {
    "type" : "string",
    "help" : ""
  },
  "disable-occ" : {
    "type" : "flag",
    "help" : ""
  },
  "log-append" : {
    "type" : "string",
    "help" : ""
  },
  "up-delay" : {
    "type" : "flag",
    "help" : ""
  },
  "comp-lzo" : {
    "type" : "flag",
    "help" : ""
  },
  "management" : {
    "type" : "string",
    "help" : ""
  },
  "up-restart" : {
    "type" : "flag",
    "help" : ""
  },
  "log" : {
    "type" : "string",
    "help" : ""
  },
  "route-gateway" : {
    "type" : "string",
    "help" : ""
  },
  "link-mtu" : {
    "type" : "int",
    "help" : ""
  },
  "mtu-test" : {
    "type" : "flag",
    "help" : ""
  },
  "passtos" : {
    "type" : "flag",
    "help" : ""
  },
  "http-proxy-retry" : {
    "type" : "flag",
    "help" : ""
  },
  "ping-timer-rem" : {
    "type" : "flag",
    "help" : ""
  },
  "port" : {
    "type" : "int",
    "help" : ""
  },
  "remote-random" : {
    "type" : "flag",
    "help" : ""
  },
  "dev-node" : {
    "type" : "string",
    "help" : ""
  },
  "inetd" : {
    "type" : "string",
    "help" : ""
  },
  "setenv" : {
    "type" : "string",
    "help" : ""
  },
  "ipchange" : {
    "type" : "string",
    "help" : ""
  },
  "socks-proxy" : {
    "type" : "string",
    "help" : ""
  },
  "rcvbuf" : {
    "type" : "int",
    "help" : ""
  },
  "route" : {
    "type" : "array:string",
    "help" : ""
  },
  "mlock" : {
    "type" : "flag",
    "help" : ""
  },
  "fast-io" : {
    "type" : "flag",
    "help" : ""
  },
  "mtu-disc" : {
    "type" : "string",
    "help" : ""
  },
  "management-query-passwords" : {
    "type" : "flag",
    "help" : ""
  },
  "mute" : {
    "type" : "int",
    "help" : ""
  },
  "fragment" : {
    "type" : "int",
    "help" : ""
  },
  "keepalive" : {
    "type" : "int",
    "help" : ""
  },
  "persist-remote-ip" : {
    "type" : "flag",
    "help" : ""
  },
  "verb" : {
    "type" : "int",
    "help" : ""
  },
  "suppress-timestamps" : {
    "type" : "flag",
    "help" : ""
  },
  "group" : {
    "type" : "string",
    "help" : ""
  },
  "writepid" : {
    "type" : "string",
    "help" : ""
  },
  "up" : {
    "type" : "string",
    "help" : ""
  },
  "remap-usr1" : {
    "type" : "string",
    "help" : ""
  },
  "resolv-retry" : {
    "type" : "string",
    "help" : ""
  },
  "mssfix" : {
    "type" : "int",
    "help" : ""
  },
	"down-pre" : {
		"type" : "flag",
		"help" : ""
	},
	"client" : {
		"type" : "flag",
		"help" : ""
	},
	"pull" : {
		"type" : "flag",
		"help" : ""
	},
	"auth-user-pass" : {
		"type" : "string",
		"help" : ""
	},
	"auth-retry" : {
		"type" : "string",
		"help" : ""
	},
	"explicit-exit-notify" : {
		"type" : "int",
		"help" : ""
	},
	"secret" : {
		"type" : "string",
		"help" : ""
	},
	"auth" : {
		"type" : "string",
		"help" : ""
	},
	"cipher" : {
		"type" : "string",
		"help" : ""
	},
	"keysize" : {
		"type" : "int",
		"help" : ""
	},
	"engine" : {
		"type" : "string",
		"help" : ""
	},
	"no-replay" : {
		"type" : "flag",
		"help" : ""
	},
	"replay-window" : {
		"type" : "string",
		"help" : ""
	},
	"mute-replay-warnings" : {
		"type" : "flag",
		"help" : ""
	},
	"replay-persist" : {
		"type" : "string",
		"help" : ""
	},
	"no-iv" : {
		"type" : "flag",
		"help" : ""
	},
	"test-crypto" : {
		"type" : "flag",
		"help" : ""
	},
	"tls-server" : {
		"type" : "flag",
		"help" : ""
	},
	"tls-client" : {
		"type" : "flag",
		"help" : ""
	},
	"ca" : {
		"type" : "string",
		"help" : ""
	},
	"dh" : {
		"type" : "string",
		"help" : ""
	},
	"cert" : {
		"type" : "string",
		"help" : ""
	},
	"key" : {
		"type" : "string",
		"help" : ""
	},
	"pkcs12" : {
		"type" : "string",
		"help" : ""
	},
	"key-method" : {
		"type" : "string",
		"help" : ""
	},
	"tls-cipher" : {
		"type" : "string",
		"help" : ""
	},
	"tls-timeout" : {
		"type" : "int",
		"help" : ""
	},
	"reneg-bytes" : {
		"type" : "int",
		"help" : ""
	},
	"reneg-packets" : {
		"type" : "int",
		"help" : ""
	},
	"reneg-sec" : {
		"type" : "int",
		"help" : ""
	},
	"hand-window" : {
		"type" : "int",
		"help" : ""
	},
	"tran-window" : {
		"type" : "int",
		"help" : ""
	},
	"single-session" : {
		"type" : "flag",
		"help" : ""
	},
	"tls-exit" : {
		"type" : "flag",
		"help" : ""
	},
	"tls-auth" : {
		"type" : "string",
		"help" : ""
	},
	"askpass" : {
		"type" : "string",
		"help" : ""
	},
	"auth-nocache" : {
		"type" : "flag",
		"help" : ""
	},
	"tls-verify" : {
		"type" : "string",
		"help" : ""
	},
	"tls-remote" : {
		"type" : "string",
		"help" : ""
	},
	"ns-cert-type" : {
		"type" : "string",
		"help" : ""
	},
	"crl-verify" : {
		"type" : "string",
		"help" : ""
	},
}
